Description: PoC frontend locking patch
 This needs more work to be upstreamed, but should allow us to check
 frontend locking IRL.
Forwarded: no
Author: Julian Andres Klode <juliank@ubuntu.com>
Last-Update: 2018-08-07
--- a/backends/aptcc/apt-intf.cpp
+++ b/backends/aptcc/apt-intf.cpp
@@ -2380,7 +2380,7 @@ bool AptIntf::installPackages(PkBitfield
 
     // we could try to see if this is the case
     setenv("PATH", "/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin", 1);
-    _system->UnLock();
+    _system->UnLockInner();
 
     pkgPackageManager::OrderResult res;
     res = PM->DoInstallPreFork();
@@ -2478,6 +2478,7 @@ bool AptIntf::installPackages(PkBitfield
     close(readFromChildFD[0]);
     close(readFromChildFD[1]);
     close(pty_master);
+    _system->LockInner();
 
     cout << "Parent finished..." << endl;
     return true;
